Bug 32780 - lib/computer.sh still uses computers/managedclient
lib/computer.sh still uses computers/managedclient
Status: CLOSED FIXED
Product: UCS Test
Classification: Unclassified
Component: Framework
unspecified
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Stefan Gohmann
Felix Botner
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 14:51 CEST by Stefan Gohmann
Modified: 2013-11-19 06:42 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-10-01 14:51:24 CEST
The library lib/computer.sh still uses computers/managedclient as default.
Comment 1 Stefan Gohmann univentionstaff 2013-10-01 14:57:06 CEST
fixed

Changelog: r44641
Code: r44639
Comment 2 Felix Botner univentionstaff 2013-10-22 12:00:14 CEST
OK, but why not add 
  
  local role=${2:-windows}

to computer_dn() and computer_remove()?

I can create a slave host with computer_create

 -> computer_create "slavenew" "domaincontroller_slave"

but computer_dn() and computer_remove() only work for computer/windows.
Comment 3 Stefan Gohmann univentionstaff 2013-10-22 13:54:57 CEST
OK, fixed with r45432
Comment 4 Felix Botner univentionstaff 2013-10-22 17:16:26 CEST
OK

-> computer_create win
info 2013-10-22 17:13:18         EXECUTING: udm-test computers/windows create --position cn=computers,dc=hans,dc=de --set name=win
Object created: cn=win,cn=computers,dc=hans,dc=de

-> computer_dn win
cn=win,cn=computers,dc=hans,dc=de

-> computer_remove win
info 2013-10-22 17:13:27         EXECUTING: udm-test computers/windows remove --dn cn=win,cn=computers,dc=hans,dc=de
Object removed: cn=win,cn=computers,dc=hans,dc=de

-> computer_create slave domaincontroller_slave
info 2013-10-22 17:13:39         EXECUTING: udm-test computers/domaincontroller_slave create --position cn=computers,dc=hans,dc=de --set name=slave
Object created: cn=slave,cn=computers,dc=hans,dc=de

-> computer_dn slave domaincontroller_slave
cn=slave,cn=computers,dc=hans,dc=de

-> computer_remove slave domaincontroller_slave
info 2013-10-22 17:14:48         EXECUTING: udm-test computers/domaincontroller_slave remove --dn cn=slave,cn=computers,dc=hans,dc=de
Object removed: cn=slave,cn=computers,dc=hans,dc=de

OK - Changelog
Comment 5 Stefan Gohmann univentionstaff 2013-11-19 06:42:49 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".